Bug 242402 - devel/cscout: update to current (3.01)
Summary: devel/cscout: update to current (3.01)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2019-12-03 12:09 UTC by Joachim Werner
Modified: 2020-05-25 06:54 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (dds)


Attachments
devel/cscout: update to current (3.01) (16.30 KB, patch)
2019-12-03 12:09 UTC, Joachim Werner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joachim Werner 2019-12-03 12:09:37 UTC
Created attachment 209648 [details]
devel/cscout: update to current (3.01)

hello!
I noticed that this port is pretty outdated, the distfiles are unfetchable and it also depends on compat6x.. but since I wanted to give (current) cscout a shot, I brought the port up to date.
about halfway through I realized that the maintainer here is also the developer of cscout, I hope I'm not stepping on anyone's feet. if so, I apologize deeply.

- changed distsource to githib
- also added swill and btyacc so we can build w/o internet
- locked the distversions to current github hashes,
  ideally version tag(s) could be used in the future (3.1?)
- since the source has changed a lot since 3.0 I chose version 3.01
- had to remove DOC, as it's only available as XML and I didn't know how to
  generate suitable HTML (maybe in 3.1?)
- included a message that a vanilla csmake installation directory can be found 
  in /usr/local/include/cscout
- updated license to GPLv3
Comment 1 Diomidis Spinellis freebsd_committer 2019-12-04 21:07:51 UTC
Thank you so much!  I don't have a ports commit bit, so feel free to work on it.  If you find any problems with processing FreeBSD code (e.g. the kernel), open an issue, and I'll try to look into it.
Comment 2 Automation User 2020-02-05 00:30:26 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/115027922
Comment 3 Rene Ladan freebsd_committer 2020-05-24 13:14:02 UTC
Take over from dds@
Comment 4 commit-hook freebsd_committer 2020-05-24 15:22:15 UTC
A commit references this bug:

Author: rene
Date: Sun May 24 15:21:59 UTC 2020
New revision: 536408
URL: https://svnweb.freebsd.org/changeset/ports/536408

Log:
  devel/cscout: unexpire and update to 3.01

  - Leave out the DOCS option for now because the required conversion
    of XML to HTML has not been figured out yet.
  - No more dependency on compat6x
  - Fetch sources from GitHub
  - update license to GPLv3

  PR:		242402
  Submitted by:	Joachim Werner
  Approved by:	maintainer (dds@)
  MFH:		2020Q2

Changes:
  head/devel/cscout/Makefile
  head/devel/cscout/distinfo
  head/devel/cscout/files/
  head/devel/cscout/files/patch-Makefile
  head/devel/cscout/files/patch-example_.cscout_host-incs.h
  head/devel/cscout/files/patch-src_Makefile
  head/devel/cscout/files/patch-src_dest-install.sh
  head/devel/cscout/files/patch-src_make-version.sh
  head/devel/cscout/files/pkg-message.in
  head/devel/cscout/pkg-descr
  head/devel/cscout/pkg-plist
Comment 5 commit-hook freebsd_committer 2020-05-25 06:53:37 UTC
A commit references this bug:

Author: rene
Date: Mon May 25 06:53:30 UTC 2020
New revision: 536442
URL: https://svnweb.freebsd.org/changeset/ports/536442

Log:
  MFH: r536408

  devel/cscout: unexpire and update to 3.01

  - Leave out the DOCS option for now because the required conversion
    of XML to HTML has not been figured out yet.
  - No more dependency on compat6x
  - Fetch sources from GitHub
  - update license to GPLv3

  PR:		242402
  Submitted by:	Joachim Werner
  Approved by:	maintainer (dds@)

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/devel/cscout/Makefile
  branches/2020Q2/devel/cscout/distinfo
  branches/2020Q2/devel/cscout/files/
  branches/2020Q2/devel/cscout/pkg-descr
  branches/2020Q2/devel/cscout/pkg-plist